Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033401
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminoralways2016-07-01 08:192019-12-12 23:00
ReportercaristuView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisionbf8069ede64a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033401: Move display logic from Region tab fields to the tab itself

DescriptionWhen trying to create records into the [Region] tab in [Country and Region] window, the form view does not display fields if the Country is not flagged as "has regions".

This is because the fields in that sub-tab has a display logic which depends on that flag.

Showing the form without fields can be confusing for the users (See attached image).
Steps To Reproduce1) Go to the [Country and Region] window
2) Select a country with the "has regions" flag unchecked
3) Navigate to the [Region] tab and click on "create a new record in a form" toolbar button.
Proposed SolutionRemove the display logic from the fields and use it in the tab instead.
TagsNo tags attached.
Attached Filespng file icon emptyFormRegion.png [^] (66,923 bytes) 2016-07-01 08:20

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00052023.0MP19 closedAugustoMauch Implement display logic for tabs [No new BOM creation possible] 
has duplicate defect 0039394 closedTriage Finance Cannot create Region in Country and Region window, the tab is blank 

-  Notes
(0114095)
collazoandy4 (developer)
2019-08-19 21:36

Go to the [Country and Region] window
Select Andorra country and check Region tab is not shown
Select Spain country and check Region tab is shown
(0114874)
hgbot (developer)
2019-10-01 13:13

Repository: erp/devel/pi
Changeset: bf8069ede64a0401e31ab0a74d423f98dd1cf7c4
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Aug 19 16:15:03 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/bf8069ede64a0401e31ab0a74d423f98dd1cf7c4 [^]

Fixes issue 33401: Move display logic from Region tab fields to the tab itself

Removed the fields display logic and set it in the Region tab

---
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0114875)
hgbot (developer)
2019-10-01 13:13

Repository: erp/devel/pi
Changeset: 407156de4f04389920eebe36d9a001889202df35
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Sep 30 12:56:59 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/407156de4f04389920eebe36d9a001889202df35 [^]

related to issue 33401 remove displaylogic in not displayed fields

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0114876)
Sandrahuguet (developer)
2019-10-01 13:32

code review + testing ok
(0116231)
hudsonbot (developer)
2019-12-12 23:00

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test
(0116232)
hudsonbot (developer)
2019-12-12 23:00

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-07-01 08:19 caristu New Issue
2016-07-01 08:19 caristu Assigned To => Triage Finance
2016-07-01 08:19 caristu Modules => Core
2016-07-01 08:19 caristu Triggers an Emergency Pack => No
2016-07-01 08:20 caristu Description Updated View Revisions
2016-07-01 08:20 caristu Relationship added related to 0005202
2016-07-01 08:20 caristu File Added: emptyFormRegion.png
2016-07-01 08:22 caristu Steps to Reproduce Updated View Revisions
2018-10-03 10:06 ngarcia Relationship added has duplicate 0039394
2018-10-03 10:06 ngarcia Issue Monitored: ngarcia
2019-08-19 21:33 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-08-19 21:33 collazoandy4 Status new => scheduled
2019-08-19 21:36 collazoandy4 Note Added: 0114095
2019-10-01 13:13 hgbot Checkin
2019-10-01 13:13 hgbot Note Added: 0114874
2019-10-01 13:13 hgbot Status scheduled => resolved
2019-10-01 13:13 hgbot Resolution open => fixed
2019-10-01 13:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bf8069ede64a0401e31ab0a74d423f98dd1cf7c4 [^]
2019-10-01 13:13 hgbot Checkin
2019-10-01 13:13 hgbot Note Added: 0114875
2019-10-01 13:32 Sandrahuguet Review Assigned To => Sandrahuguet
2019-10-01 13:32 Sandrahuguet Note Added: 0114876
2019-10-01 13:32 Sandrahuguet Status resolved => closed
2019-10-01 13:32 Sandrahuguet Fixed in Version => 3.0PR20Q1
2019-12-12 23:00 hudsonbot Checkin
2019-12-12 23:00 hudsonbot Note Added: 0116231
2019-12-12 23:00 hudsonbot Checkin
2019-12-12 23:00 hudsonbot Note Added: 0116232


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker